[Orc Shaman Class Transfer]:
An Orc Shaman who reaches level 40 can proceed with the 2nd class transfer to become an Overlord or a Warcryer. In order to accomplish the 2nd class transfer, the character must successfully complete three quests. The first of the quests can only be undertaken by a player of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Overlord
Warcryer
Return
Close Window